<?php

include('../../path.php');

require_once(ROOT_CONFIG);

    class log

    {

        public function insert_log_crud($_Tabla,$_Evento_Log,$_Consulta)

        {

            //session_start();

            //validamos si la session no ha sido declarada, para incicializarla

            if (session_status() === PHP_SESSION_NONE) {

                session_start();

            }



            $_Id_Fk_Login=$_SESSION['IdLoginr_appquadrata'];

            $_Nombre_Usuario=$_SESSION['Login_Nombre_appquadrata'];

            $_Telefono_Usuario=$_SESSION['Login_Telefono_appquadrata'];

            $_Correo_Usuario=$_SESSION['Login_Correo_appquadrata'];

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $_Consulta_Escapada = mysqli_real_escape_string($conexion, $_Consulta);

            $consulta="INSERT INTO log_crud_appquadrata(Id_Fk_Login,Nombre_Usuario,Telefono_Usuario,Correo_Usuario,Tabla,Evento,Consulta) VALUES ('$_Id_Fk_Login', '$_Nombre_Usuario','$_Telefono_Usuario','$_Correo_Usuario', '$_Tabla', '$_Evento_Log', '$_Consulta_Escapada') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            return $consulta;

        }



        public function insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta)

        {

            //session_start();

            //validamos si la session no ha sido declarada, para incicializarla

            if (session_status() === PHP_SESSION_NONE) {

                session_start();

            }

            $_Id_Fk_Login=$_SESSION['IdLoginr_appquadrata'];

            $_Nombre_Usuario=$_SESSION['Login_Nombre_appquadrata'];

            $_Telefono_Usuario=$_SESSION['Login_Telefono_appquadrata'];

            $_Correo_Usuario=$_SESSION['Login_Correo_appquadrata'];

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $_Consulta_Escapada = mysqli_real_escape_string($conexion, $_Consulta);

            $consulta="INSERT INTO log_consultas_appquadrata(Id_Fk_Login,Nombre_Usuario,Telefono_Usuario,Correo_Usuario,Tabla,Evento,Consulta) VALUES ('$_Id_Fk_Login', '$_Nombre_Usuario','$_Telefono_Usuario','$_Correo_Usuario', '$_Tabla', '$_Evento_Log', '$_Consulta_Escapada') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            return $consulta;

        }

    }



?>





	